> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outrival.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate public token



## OpenAPI

````yaml openapi-v1 post /rest/v1/organization/token
openapi: 3.0.0
info:
  title: OutRival API
  description: OutRival API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.outrival.com
security: []
tags: []
paths:
  /rest/v1/organization/token:
    post:
      tags:
        - Organization
      operationId: OrganizationController_generateOrganizationToken
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateTokenConfig'
      responses:
        '200':
          description: Get auth token for organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationTokenDTO'
      security:
        - api_key: []
        - bearer: []
components:
  schemas:
    GenerateTokenConfig:
      type: object
      properties:
        userId:
          type: string
        expiresIn:
          type: string
    OrganizationTokenDTO:
      type: object
      properties:
        token:
          type: string
        expiresAt:
          format: date-time
          type: string
      required:
        - token
        - expiresAt
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: X-API-Key

````